Bug 1655784 - Unknown form ID 'frmTotpToken'
Summary: Unknown form ID 'frmTotpToken'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openconnect
Version: 29
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-03 22:06 UTC by Modestas
Modified: 2019-01-11 04:34 UTC (History)
2 users (show)

Fixed In Version: openconnect-8.01-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-11 04:34:02 UTC


Attachments (Terms of Use)

Description Modestas 2018-12-03 22:06:58 UTC
Description of problem:
I get this message when I use network manager. Unknown form ID 'frmTotpToken'

Version-Release number of selected component (if applicable):
openconnect --version
OpenConnect version v7.08
Using GnuTLS. Features present: TPM, PKCS#11, RSA software token, HOTP software token, TOTP software token, Yubikey OATH, System keys, DTLS

How reproducible:


Steps to Reproduce:
1. Create VPN connection Juniper/Pulser Network Connect
Your own gateway
Token Mode TOTP - manually entered
2. Try to connect via vpn
3. When you press login, you get message `Unknown form ID 'frmTotpToken'`

Actual results:
Error message Unknown form ID 'frmTotpToken'

Expected results:
Screen with field where google token can be entered

Additional info:
Similar bug here:
https://askubuntu.com/questions/1078299/openconnect-unknown-form-id-frmtotptoken-error-on-login

Message from log
SSL socket closed uncleanly
Unknown form ID 'frmTotpToken'

Comment 1 Modestas 2018-12-03 22:35:04 UTC
POST https://pulse.xxxcompany.com/dana-na/auth/xxxxxx/login.cgi
SSL negotiation with pulse.xxxcompany.com
Connected to HTTPS on pulse.xxxcompany.com
Unknown form ID 'frmTotpToken'
Dumping unknown HTML form:
<form id="frmTotpToken_5" name="frmTotpToken" action="login.cgi" method="POST" autocomplete="off" onsubmit="return SubmitClicked();">
<input id="key_29" type="hidden" name="key" value="state_4979155412183b637158714cc5964527">

<table id="TABLE_TotpToken_2" border="0" cellpadding="2" cellspacing="0">
<tr>
    <td width="75%">
        <table id="TABLE_TotpToken_3" border="0" cellpadding="2" cellspacing="0" width="100%">
        <tr>
            <td nowrap><b>Welcome to</b></td>
        </tr>
        <tr>
            <td nowrap><span class="cssLarge"><b>Pulse Connect Secure</b></span></td>
        </tr>
        <tr>
            <td> <br> 
            <table id="TABLE_TotpToken_4" border="0" cellspacing="0" width="100%" bgcolor="#CCCC99">
            <tr>
                <td>
                    <table id="TABLE_TotpToken_5" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                        <td colspan="2"> <b>Two-Factor Authentication</b>
</td>
                    </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table id="TABLE_TotpToken_6" border="0" cellpadding="6" cellspacing="0" width="100%" bgcolor="#FFFFCC">
                    <tr>
                        <td>Open the two-factor authentication app on your device to view your authentication code and verify your identity .                            <p>Currently if you do not have access to your device, use one of the backup codes saved previously.</p>
                            <table id="TABLE_TotpToken_7" border="0" cellspacing="0" cellpadding="2">
                            <tr>
                                <td>Authentication code: </td>
                                <td>
<input id="passwordSecondary" type="password" name="password#2" size="20"> </td>
                            </tr>
                            <tr>
                                <td colspan="2">&nbsp;</td>
                            </tr>
                            <tr>
                                <td>&nbsp;</td>
                                <td>
                                    <input id="totpactionEnter_3" type="submit" value="Sign In" name="totpactionEnter"> 
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">&nbsp;</td>
                            </tr>
                            </table>
                        </td>
                    </tr>
                    </table>
                </td>
            </tr>
            </table>
            </td>
        </tr>
        </table>
    </td>
</tr>
</table>
</form>Failed to obtain WebVPN cookie

Comment 2 Fedora Update System 2019-01-07 07:43:03 UTC
openconnect-8.01-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-267b29539a

Comment 3 Fedora Update System 2019-01-08 02:04:55 UTC
openconnect-8.01-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-267b29539a

Comment 4 Fedora Update System 2019-01-11 04:34:02 UTC
openconnect-8.01-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.